"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useChannelData = void 0;

var _react = require("react");

var _beClient = require("../be-client");

var useChannelData = function useChannelData(args) {
  (0, _react.useEffect)(function () {
    if (!args) return undefined;
    var unsub = (0, _beClient.fromChannel)(args);
    return unsub;
  }, [args]);
};

exports.useChannelData = useChannelData;